Subject: Re: Bisect'ed BUG in VLAN promisc mode (6c78dcbd47)

From: Patrick McHardy <[email-masked]>
Date: Fri, 26 Sep 2008 21:41:09 +0200

Jesper Dangaard Brouer wrote:
> On Fri, 2008-09-26 at 21:28 +0200, Patrick McHardy wrote:
>> Actually - one question: you're saying you're using different MAC
>> addresses on the VLAN devices, so I guess thats why you're expecting
>> the underlying device to still be in promiscous mode after you set
>> eth1.1025 down. For devices that support multiple unicast addresses
>> in hardware, we don't put the device in promiscous mode anymore.
>> So the question is: is something actually not working, or did you
>> just notice that the real device is no longer in promiscous mode?
> 
> It stopped working!  In the test setup I do have a machine connected to
> eth1.1013, where I have a ping running, that stop working...

Found it in the bugreport :) OK, I'll try to reproduce it now.

> I use the tg3 driver for both netcards. Don't know if it supports it?

The driver doesn't support it.